Page MenuHomePhabricator

Scoring should perhaps take into account added text rather than all text
Closed, ResolvedPublic

Description

suggested enhancement: At the moment, an edit will (as far as I can tell, and forgive me if I'm wrong) be scored if there is a trigger word anywhere in the diff, even if it was not added in the edit in question. As a suggestion, if it is not easy to identify "added text", one could use the heuristic of "in the 'after' text but not in the 'before' text".


Version: trunk
Severity: enhancement
URL: https://github.com/huggle/huggle3-qt-lx/issues/20

Details

Reference
bz55793

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 2:40 AM
bzimport added a project: Huggle.
bzimport set Reference to bz55793.
Petrb created this task.Oct 16 2013, 3:44 PM
Petrb added a comment.Oct 16 2013, 3:45 PM

Problem here is that mediawiki doesn't make a difference between old and new. Mediawiki should be able to provide only a new text of a diff so that this check can be done against it.

Please open a feature request for that in product "MediaWiki" and link it as a blocker of this bug

Petrb added a comment.Oct 16 2013, 3:47 PM

this ticket was moved from github, originally created by someone else, see linked ticket

Petrb added a comment.Nov 29 2013, 2:29 PM

currently this is blocked by upstream bug, I am lowering priority until the blocking bug is fixed

Petrb removed Petrb as the assignee of this task.Nov 25 2014, 9:30 AM
Petrb set Security to None.
Petrb moved this task from Backlog to Ready to Go on the Huggle board.Nov 25 2014, 3:07 PM
Petrb moved this task from Ready to Go to Doing on the Huggle board.
Petrb moved this task from Doing to Need volunteer on the Huggle board.
Petrb moved this task from Need volunteer to Waiting on the Huggle board.
Petrb closed this task as Resolved.Mar 30 2015, 1:19 PM
Petrb claimed this task.

this temporarily fixes the problem https://github.com/huggle/extension-splitter-helper